<?php

/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 26/5/2018
 * Time: 1:16 AM
 */
class cargarImagen
{
    public function subirImagen(){
        include '../uniqueNameGenerator/generateRamdonToken.php';
        $nombre_img = $_FILES['imagen']['name'];
        $nombreGenerator = new generateRamdonToken();
        $nombreGenerated = $nombreGenerator->id();
        //Si existe imagen y tiene un tama;o correcto
        if (($nombre_img == !NULL) && ($_FILES['imagen']['size'] <= 9000000))
        {
            //indicamos los formatos que permitimos subir a nuestro servidor
            if (($_FILES["imagen"]["type"] == "image/gif")
                || ($_FILES["imagen"]["type"] == "image/jpeg")
                || ($_FILES["imagen"]["type"] == "image/jpg")
                || ($_FILES["imagen"]["type"] == "image/png"))
            {
                // Ruta donde se guardarÃ¡n las imÃ¡genes que subamos
                $directorio = $_SERVER['DOCUMENT_ROOT'].'/Api_MiResidenciAPP/uploads/';

                // Muevo la imagen desde el directorio temporal a nuestra ruta indicada anteriormente
                move_uploaded_file($_FILES['imagen']['tmp_name'],$directorio.$nombreGenerated.$nombre_img);
            }
            else
            {
                //si no cumple con el formato
                //echo "No se puede subir una imagen con ese formato ";
            }
        }
        else
        {
            //si existe la variable pero se pasa del tamaÃ±o permitido
            //if($nombre_img == !NULL) echo "La imagen es demasiado grande ";
        }
        $dire = 'www.telepila.com.ve/';
        $imagen = $dire.$nombreGenerated.$nombre_img;
        return $imagen;





    }
}